package org.wfc.payment.pay.ccpay.service;

import org.wfc.payment.pay.ccpay.model.PaymentRequest;
import org.wfc.payment.pay.ccpay.model.UCreditCardToken;

public interface IUCreditCardTokenService {

    void saveToken(UCreditCardToken token);

    UCreditCardToken getTokenByUserId(Long userId);
    
    String getPaymentToken(PaymentRequest paymentRequest);
}